import moment from "moment";
import { defineStore } from "pinia";
export const useUserStore = defineStore("user", {
  state: () => {
    return {
      isConnected: false, //连接状态
      messages: [],
      customerInfo: {
        username: "10086",
        messages: [],
      },
      count: 0,
      userInfo: {
        password: "",
        token: "",
      },
    };
  },
  actions: {
    setCount(num: number) {
      this.count = num;
    },
    setCustomerInfo(res: any) {
      this.customerInfo = res;
    },
    setUserInfo(res: any) {
      console.log(res,'res')
      this.userInfo = res;
    },
    setUserListMessages(res: any) {
      const messages: any = this.customerInfo.messages || [];
      const obj = {
        isSent: false,
        msgType: res.msgType,
        content: res.content,
        cmd: res.cmd,
        to: res.to,
        id: res.id,
        form: res.from,
        userImg:"https://cdn.lirimall.com//lirigo/filetempImage/新鲜水果_1661668973048.png",
        time: moment(res.createTime).format("HH:mm:ss"),
      };
      messages.push(obj);
      this.customerInfo.messages = messages;
    },
    setusernameMessage(res: any) {
      const friends = res.friends;
      for (const key in friends) {
        const chatDatas = friends[key];
        chatDatas.forEach((item: any) => {
          item.userImg =
            "https://cdn.lirimall.com//lirigo/filetempImage/新鲜水果_1661668973048.png";
          item.time = moment(res.createTime).format("HH:mm:ss");
        });
        for (const index in chatDatas) {
          const userId = chatDatas[index].from;
          this.customerInfo.messages = chatDatas;
        }
      }
    },
    connect() {
      // 连接成功后，将 isConnected 状态设置为 true
      this.isConnected = true;
    },
    disconnect() {
      // 断开连接或退出登录时，将 isConnected 状态设置为 false
      this.isConnected = false;
    },
  },
  persist: true,
});
